Create WireguardGateway
Creates a new WireguardGateway.
The full WireguardGateway needs to be provided to create the object. Optional data will be filled with defaults or left empty.
The token can be generated using the Authentication API.
Metadata
WireguardGateway successfully created.
The ID (UUID) of the WireguardGateway.
85c79b4b-5b40-570a-b788-58dd46ea71e2The type of the resource.
The URL of the WireguardGateway.
/wireguardgateways/85c79b4b-5b40-570a-b788-58dd46ea71e2Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Unsupported Media Type
The request has an unsupported media type.
Unprocessable Entity
The request was well-formed but was unable to be followed due to semantic errors.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
POST /wireguardgateways HTTP/1.1
Host: vpn.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 535
{
"metadata": {},
"properties": {
"name": "My Company Gateway",
"description": "This gateway allows connections to Datacenter LAN X.",
"gatewayIP": "81.173.1.2",
"interfaceIPv4CIDR": "172.16.0.1/30",
"interfaceIPv6CIDR": "fd00::2/128",
"connections": [
{
"datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
"lanId": "2",
"ipv4CIDR": "192.168.1.100/24",
"ipv6CIDR": "fd28:5f8d:d9fe:08bd::/64"
}
],
"privateKey": "0HpE4BNwGHabeaC4aY/GFxB6fBSc0d49Db0qAzRVSVc=",
"listenPort": 51820,
"tier": "STANDARD",
"maintenanceWindow": {
"time": "16:30:59",
"dayOfTheWeek": "Monday"
}
}
}{
"id": "85c79b4b-5b40-570a-b788-58dd46ea71e2",
"type": "wireguardgateway",
"href": "/wireguardgateways/85c79b4b-5b40-570a-b788-58dd46ea71e2",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"status": "AVAILABLE",
"statusMessage": null,
"publicKey": "-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VuAyEApNLcmIfCLRwyGYN16teusuGPkdGo2C8OxiqaJLgOig4=\n-----END PUBLIC KEY-----\n"
},
"properties": {
"name": "My Company Gateway",
"description": "This gateway allows connections to Datacenter LAN X.",
"gatewayIP": "81.173.1.2",
"interfaceIPv4CIDR": "172.16.0.1/30",
"interfaceIPv6CIDR": "fd00::2/128",
"connections": [
{
"datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
"lanId": "2",
"ipv4CIDR": "192.168.1.100/24",
"ipv6CIDR": "fd28:5f8d:d9fe:08bd::/64"
}
],
"listenPort": 51820,
"tier": "STANDARD",
"maintenanceWindow": {
"time": "16:30:59",
"dayOfTheWeek": "Monday"
}
}
}Last updated
Was this helpful?